Package org.apache.lucene.sandbox.search

# Class DocValuesMultiRangeQuery

java.lang.Object
org.apache.lucene.sandbox.search.DocValuesMultiRangeQuery

public final class DocValuesMultiRangeQuery extends Object
A few query builders for doc values multi range queries.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DocValuesMultiRangeQuery.ByteRange`
  Representation of a single clause in a MultiRangeQuery
  `static class`
  `DocValuesMultiRangeQuery.LongRange`
  Representation of a single clause in a MultiRangeQuery
  `static class`
  `DocValuesMultiRangeQuery.SortedNumericStabbingBuilder`
  Builder for creating a multi-range query for stabbing by SortedNumerics or Numerics field values.
  `static class`
  `DocValuesMultiRangeQuery.SortedSetStabbingBuilder`
  Builder for creating a multi-range query for stabbing by SortedSet or Sorted field values.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`